Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class CatalogItemImpl

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.catalog.CatalogItemImpl

Direct Known Subclasses:
  CategoryImpl, ProductItemImpl

public class CatalogItemImpl
extends java.lang.Object
implements CatalogItem

This is the implementation class for all items contained by the Catalog. This class exposes data accessors for item data conforming to the Dublin Core Metadata. Refer to the DCM spec for details. Dublin Core Element Set

See Also:
  Serialized Form

Field Summary
`protected MutableCatalogItem` | `delegateItem`

Method Summary
`void` | `addBusinessPolicy(java.lang.String policyKey, BusinessPolicy businessPolicy)` Deprecated. This method has been deprecated and now performs no operation.
`void` | `addPropertyValue(java.lang.String scopeName, java.lang.String key, java.lang.Object propertyValue)` Deprecated. This method has been deprecated and now performs no operation. This functionality is now provided only through the EBCC.
`void` | `addPropertyValueMapped(java.lang.String scopeName, java.lang.String propertyKey, java.lang.String mappedKey, java.lang.Object propertyValue)` Deprecated. This method has been deprecated and now performs no operation.
`BusinessPolicy` | `getBusinessPolicy(java.lang.String policyKey)` Deprecated. This method has been deprecated and will now return a null.
`java.lang.String` | `getContributor()` Get the contributor for this catalog item
`java.lang.String` | `getCoverage()` Get the coverage for this catalog item
`java.util.Date` | `getCreationDate()` Get the creation date for this catalog item
`java.lang.String` | `getCreator()` Get the creator for this catalog item
`java.lang.String` | `getDescription(int index)` Get the description for this catalog item
`ImageInfo` | `getImage(int index)` Get an Image for this catalog item
`java.lang.String` | `getJndiName()` Deprecated. This method has been deprecated and will now return a null.
`CatalogItemKey` | `getKey()` Get the primary key for this catalog item
`java.lang.String` | `getLanguage()` Get the language for this catalog item
`java.util.Date` | `getModifiedDate()` Get the modified date for this catalog item
`java.lang.String` | `getName()` Get the name for this catalog item
`java.lang.String` | `getPkString()` Retrieve the pk string for an entity.
`java.lang.Object` | `getProperty(java.lang.String key, java.lang.Object defaultValue)` Deprecated. This method has been deprecated and will now return a null.
`java.lang.Object` | `getProperty(java.lang.String propertySet, java.lang.String propertyName)` Retrieve the value that was persisted for this entity for the given property, within the given property set.
`java.lang.Object` | `getProperty(java.lang.String scopeName, java.lang.String key, ConfigurableEntity successor, java.lang.Object defaultValue)` Deprecated. This method has been deprecated and will now return a null.
`java.lang.String` | `getPropertyAsString(java.lang.String propertySet, java.lang.String propertyName)` Convenience method to return a property as a String.
`java.lang.String` | `getPropertyAsString(java.lang.String scopeName, java.lang.String key, ConfigurableEntity successor, java.lang.String defaultValue)` Deprecated. This method has been deprecated and will now return a null.
`java.lang.Object` | `getPropertyDefault(java.lang.String scopeName, java.lang.String key, ConfigurableEntity successor)` Deprecated. This method has been deprecated and will now return a null.
`java.lang.Object` | `getPropertyNoDefault(java.lang.String propertySet, java.lang.String propertyName)` Retrieve the value associated with the named key in the specified property set, but does not return a default value from the property's PropertyDefinition if a value was not persisted for this entity.
`java.lang.Object` | `getPropertyNoDefault(java.lang.String scopeName, java.lang.String key, ConfigurableEntity successor)` Deprecated. This method has been deprecated and will now return a null.
`java.lang.String` | `getPublisher()` Get the publisher for this catalog item
`java.lang.String` | `getRelation()` Get the relation for this catalog item
`java.lang.String` | `getRights()` Get the rights for this catalog item
`java.lang.String` | `getSource()` Get the source for this catalog item
`ConfigurableEntity` | `getSuccessor(java.lang.String scopeName)` Deprecated. This method has been deprecated and will now return a null.
`long` | `getUniqueId()` Retrieve the unique identifier generated for this ConfigurableEntity.
`BusinessPolicy` | `removeBusinessPolicy(java.lang.String policyKey)` Deprecated. This method has been deprecated and will now return a null.
`java.lang.Object` | `removeProperty(java.lang.String key)` Deprecated. This method has been deprecated and will now return a null.
`java.lang.Object` | `removeProperty(java.lang.String propertySet, java.lang.String propertyName)` Remove the property associated with the named key in the specified property set.
`java.lang.Object` | `removePropertyValue(java.lang.String scopeName, java.lang.String key, java.lang.Object propertyValue)` Deprecated. This method has been deprecated and will now return a null.
`java.lang.Object` | `removePropertyValueMapped(java.lang.String scopeName, java.lang.String propertyKey, java.lang.String mappedKey)` Deprecated. This method has been deprecated and will now return a null.
`ConfigurableEntity` | `removeSuccessor(java.lang.String scopeName)` Deprecated. This method has been deprecated and will now return a null.
`void` | `setProperty(java.lang.String key, java.lang.Object value)` Deprecated. This method has been deprecated.
`void` | `setProperty(java.lang.String propertySet, java.lang.String propertyName, java.lang.Object value)` Associate the specified value with the named key in the specified property set.
`void` | `setSuccessor(java.lang.String scopeName, ConfigurableEntity successor)` Deprecated. This method has been deprecated and now performs no operation.
`java.lang.String` | `toString()` Builds a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### delegateItem

    protected MutableCatalogItem delegateItem

Method Detail

### getKey

    public CatalogItemKey getKey()

  Get the primary key for this catalog item
  Specified by:
    getKey in interface CatalogItem

  Returns:
    the primary key for the item

### getName

    public java.lang.String getName()

  Get the name for this catalog item
  Specified by:
    getName in interface CatalogItem

  Returns:
    the name for the item

### getDescription

    public java.lang.String getDescription(int index)

  Get the description for this catalog item
  Specified by:
    getDescription in interface CatalogItem

  Parameters:
    `index` - the description to retrive, either CatalogItem.SHORT_DESCRIPTION_INDEX or CatalogItem.LONG_DESCRIPTION_INDEX
  Returns:
    the description for the item

### getCreator

    public java.lang.String getCreator()

  Get the creator for this catalog item
  Specified by:
    getCreator in interface CatalogItem

  Returns:
    the creator for the item

### getPublisher

    public java.lang.String getPublisher()

  Get the publisher for this catalog item
  Specified by:
    getPublisher in interface CatalogItem

  Returns:
    the publisher for the item

### getContributor

    public java.lang.String getContributor()

  Get the contributor for this catalog item
  Specified by:
    getContributor in interface CatalogItem

  Returns:
    the new contributor for the item

### getCreationDate

    public java.util.Date getCreationDate()

  Get the creation date for this catalog item
  Specified by:
    getCreationDate in interface CatalogItem

  Returns:
    the creation date for the item

### getSource

    public java.lang.String getSource()

  Get the source for this catalog item
  Specified by:
    getSource in interface CatalogItem

  Returns:
    the source for the item

### getLanguage

    public java.lang.String getLanguage()

  Get the language for this catalog item
  Specified by:
    getLanguage in interface CatalogItem

  Returns:
    the language for the item

### getRelation

    public java.lang.String getRelation()

  Get the relation for this catalog item
  Specified by:
    getRelation in interface CatalogItem

  Returns:
    the relation for the item

### getCoverage

    public java.lang.String getCoverage()

  Get the coverage for this catalog item
  Specified by:
    getCoverage in interface CatalogItem

  Returns:
    the coverage for the item

### getRights

    public java.lang.String getRights()

  Get the rights for this catalog item
  Specified by:
    getRights in interface CatalogItem

  Returns:
    the rights for the item

### getImage

    public ImageInfo getImage(int index)

  Get an Image for this catalog item
  Specified by:
    getImage in interface CatalogItem

  Parameters:
    `index` - the image to retrive, either SMALL_IMAGE_INDEX or LARGE_IMAGE_INDEX
  Returns:
    an ImageInfo object for the image

### getModifiedDate

    public java.util.Date getModifiedDate()

  Get the modified date for this catalog item
  Specified by:
    getModifiedDate in interface CatalogItem

  Returns:
    the modified date for the item

### toString

    public java.lang.String toString()

  Builds a string representation of this object.

  Returns:
    the string
  Overrides:
    toString in class java.lang.Object

### addPropertyValue

    public void addPropertyValue(java.lang.String scopeName,
                                 java.lang.String key,
                                 java.lang.Object propertyValue)
                          throws SystemException,
                                 java.rmi.RemoteException

  Deprecated. This method has been deprecated and now performs no operation. This functionality is now provided only through the EBCC.
  Add the specified property value to the collection of values associated with the named key for the specified scope.

  Parameters:
    `scopeName` - The name of the scope.
    `key` - The name to associate the collection of values with.
    `propertyValue` - The value to associate with the key and scope.

### addPropertyValueMapped

    public void addPropertyValueMapped(java.lang.String scopeName,
                                       java.lang.String propertyKey,
                                       java.lang.String mappedKey,
                                       java.lang.Object propertyValue)
                                throws SystemException,
                                       java.rmi.RemoteException

  Deprecated. This method has been deprecated and now performs no operation.
  Add the specified property value to the map object associated with the named key for the specified scope.

  Parameters:
    `scopeName` - The name of the scope.
    `propertykey` - The name to associate the map object with.
    `mappedkey` - The map key to associate the value in the map.
    `propertyValue` - The value put in the map for the map key.

### getProperty

    public java.lang.Object getProperty(java.lang.String key,
                                        java.lang.Object defaultValue)
                                 throws SystemException,
                                        java.rmi.RemoteException

  Deprecated. This method has been deprecated and will now return a null.
  Retrieve the value associated with the named key in the default scope. If the entity does not have the property defined, the property will be searched in the successor hiearchy for the default scope. If the property could not be found in the successor chain, a lookup for the default value defined for the PropertyMetaData in the Schema is returned. The Schema is retrieved using the SchemaGroupName environment property defined for the bean. If the property meta data is not available (or there is no Schema defined) then the specified default value is returned.

  Parameters:
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set and there is not default value found in the Schema.
  See Also:
    `getProperty(String, String)`

### getProperty

    public java.lang.Object getProperty(java.lang.String scopeName,
                                        java.lang.String key,
                                        ConfigurableEntity successor,
                                        java.lang.Object defaultValue)
                                 throws SystemException,
                                        java.rmi.RemoteException

  Deprecated. This method has been deprecated and will now return a null.
  Retrieve the value associated with the named key in the specified scope. If the entity does not have the property defined for the specified scope, the property will be searched in the successor hiearchy using the explicit successor first and then the successor for the specified scope. If the could not be found in the successors hiearchy, a lookup for default value defined for the PropertyMetaData in the Schema is returned. The Schema is retrieved using the SchemaGroupName environment property defined for the bean. If the property meta data is not available (or there is no Schema defined) then the specified default value is returned.

  Parameters:
    `scopeName` - The name of the scope.
    `key` - The name of the property to retrieve.
    `successor` - The explicit successor to use for sucessor hiearchy search if the entity does not have the property defined.
    `defaultValue` - The value to return if that property is not set.
  See Also:
    `getProperty(String, String)`

### getPropertyAsString

    public java.lang.String getPropertyAsString(java.lang.String scopeName,
                                                java.lang.String key,
                                                ConfigurableEntity successor,
                                                java.lang.String defaultValue)
                                         throws SystemException,
                                                java.rmi.RemoteException

  Deprecated. This method has been deprecated and will now return a null.
  Retrieve the String value of the property associated the named key in the specified scope.

  Parameters:
    `scopeName` - The name of the scope.
    `key` - The name of the property to retrieve.
    `successor` - The explicit successor to use for sucessor hiearchy search if the entity does not have the property defined.
    `defaultValue` - The String to return if that property is not set.
  See Also:
    `getPropertyAsString(String, String)`, `com.beasys.commerce.foundation.ConfigurableEntity#getProperty(String scopeName, String key, ConfigurableEntity successor, Object defaultValue)`

### getPropertyDefault

    public java.lang.Object getPropertyDefault(java.lang.String scopeName,
                                               java.lang.String key,
                                               ConfigurableEntity successor)
                                        throws SystemException,
                                               java.rmi.RemoteException

  Deprecated. This method has been deprecated and will now return a null.
  Retrieve the default value from the Schema for the named key and the specified scope. This method is used by the implementation of the getProperty methods for retrieving the default value for a property from the successor hierarchy.

  Parameters:
    `scopeName` - The name of the scope.
    `key` - The name of the property to retrieve.
    `successor` - The explicit successor to use for sucessor hiearchy search if the entity does not have the property defined.

### getPropertyNoDefault

    public java.lang.Object getPropertyNoDefault(java.lang.String scopeName,
                                                 java.lang.String key,
                                                 ConfigurableEntity successor)
                                          throws SystemException,
                                                 java.rmi.RemoteException

  Deprecated. This method has been deprecated and will now return a null.
  Retrieve the value associated with the named key in the specified scope but does not return a default value if the property does not exist for the entity of in the hierarchy of successors. This method is used by the implementation of the getProperty methods so that the search in the successor hierarchy does not return a default value from the Schema.

  Parameters:
    `scopeName` - The name of the scope.
    `key` - The name of the property to retrieve.
    `successor` - The explicit successor to use for sucessor hiearchy search if the entity does not have the property defined.
  See Also:
    `getPropertyNoDefault(String, String)`

### getSuccessor

    public ConfigurableEntity getSuccessor(java.lang.String scopeName)
                                    throws SystemException,
                                           java.rmi.RemoteException

  Deprecated. This method has been deprecated and will now return a null.
  Retrieve the successor associated with this ConfigurableEntity for the specified scope.

  Parameters:
    `scopeName` - The name of the scope.

### removeProperty

    public java.lang.Object removeProperty(java.lang.String key)
                                    throws SystemException,
                                           java.rmi.RemoteException

  Deprecated. This method has been deprecated and will now return a null.
  Remove the property associated with the named key in the default scope.

  Parameters:
    `key` - The name of the property to remove.
  See Also:
    `removeProperty(String, String)`

### removePropertyValue

    public java.lang.Object removePropertyValue(java.lang.String scopeName,
                                                java.lang.String key,
                                                java.lang.Object propertyValue)
                                         throws SystemException,
                                                java.rmi.RemoteException

  Deprecated. This method has been deprecated and will now return a null.
  Remove the property value object from the collection associated with the named key in the specified scope.

  Parameters:
    `scopeName` - The name of the scope.
    `key` - The name of the property that is associated with the collection of values.
    `propertyValue` - The object to remove from the collection.

### removePropertyValueMapped

    public java.lang.Object removePropertyValueMapped(java.lang.String scopeName,
                                                      java.lang.String propertyKey,
                                                      java.lang.String mappedKey)
                                               throws SystemException,
                                                      java.rmi.RemoteException

  Deprecated. This method has been deprecated and will now return a null.
  Remove the property value object from the map associated with the named key in the specified scope.

  Parameters:
    `scopeName` - The name of the scope.
    `propertykey` - The name of the property that is associated with the map.
    `propertyValue` - The map key of the object to remove from the map.

### removeSuccessor

    public ConfigurableEntity removeSuccessor(java.lang.String scopeName)
                                       throws java.rmi.RemoteException

  Deprecated. This method has been deprecated and will now return a null.
  Remove the successor for the specified scope.

  Parameters:
    `scopeName` - The name of the scope.

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.Object value)
                     throws SystemException,
                            java.rmi.RemoteException

  Deprecated. This method has been deprecated.
  Associate the specified value with the named key in the default scope.

  Parameters:
    `name` - The name to associate the value with.
    `value` - The value to associate with the name.
  See Also:
    `setProperty(String, String, Object)`

### setSuccessor

    public void setSuccessor(java.lang.String scopeName,
                             ConfigurableEntity successor)
                      throws SystemException,
                             java.rmi.RemoteException

  Deprecated. This method has been deprecated and now performs no operation.
  Set the successor for the specified scope.

  Parameters:
    `scopeName` - The name of the scope.
    `successor` - The scope-level successor used during the search of a property.

### addBusinessPolicy

    public void addBusinessPolicy(java.lang.String policyKey,
                                  BusinessPolicy businessPolicy)
                           throws SystemException,
                                  java.rmi.RemoteException

  Deprecated. This method has been deprecated and now performs no operation.
  Add a new business policy to the object with the specified key

### getBusinessPolicy

    public BusinessPolicy getBusinessPolicy(java.lang.String policyKey)
                                     throws SystemException,
                                            java.rmi.RemoteException

  Deprecated. This method has been deprecated and will now return a null.
  Retrieve the business policy with the specified key.

### removeBusinessPolicy

    public BusinessPolicy removeBusinessPolicy(java.lang.String policyKey)
                                        throws SystemException,
                                               java.rmi.RemoteException

  Deprecated. This method has been deprecated and will now return a null.
  Remove the business policy with the specified key.

### getProperty

    public java.lang.Object getProperty(java.lang.String propertySet,
                                        java.lang.String propertyName)
                                 throws java.rmi.RemoteException

  Retrieve the value that was persisted for this entity for the given property, within the given property set. If the entity does not have a value persisted for this property, the default value from the property set will be returned.

  Parameters:
    `propertySet` - The name of the property set to look in
    `propertyName` - The name of the property to retrieve.
  Returns:
    the value for this property, or null if all searches failed

### getPropertyAsString

    public java.lang.String getPropertyAsString(java.lang.String propertySet,
                                                java.lang.String propertyName)
                                         throws java.rmi.RemoteException

  Convenience method to return a property as a String. This method now takes a property set name and property name as arguments as opposed to it's previous signature: getPropertyAsString(String key, String defaultValue)

  Parameters:
    `propertySet` - The name of the property set to look in
    `propertyName` - The name of the property to retrieve.
  Returns:
    the value for this property as a String, or null if all searches failed

### getPropertyNoDefault

    public java.lang.Object getPropertyNoDefault(java.lang.String propertySet,
                                                 java.lang.String propertyName)
                                          throws java.rmi.RemoteException

  Retrieve the value associated with the named key in the specified property set, but does not return a default value from the property's PropertyDefinition if a value was not persisted for this entity. This method is used by the implementation of the getProperty methods so that the search in the successor hierarchy does not return a default value from the Schema.

  Parameters:
    `propertySet` - The name of the property set
    `propertyName` - The name of the property to retrieve.
  Returns:
    the value for this property, or null if all searches failed

### setProperty

    public void setProperty(java.lang.String propertySet,
                            java.lang.String propertyName,
                            java.lang.Object value)
                     throws PropertyValidationException,
                            java.rmi.RemoteException

  Associate the specified value with the named key in the specified property set. This method now takes a property set name, property name and value as arguments as opposed to it's previous signature: setProperty(String scopeName, String key, Object property)

  Parameters:
    `propertySet` - The name of the property set.
    `propertyName` - The name of the property to assign
    `value` - The value to associate with the property name
  Throws:
    PropertyValidationException - If the property value does not match the PropertyDefinition for this property set

### removeProperty

    public java.lang.Object removeProperty(java.lang.String propertySet,
                                           java.lang.String propertyName)
                                    throws java.rmi.RemoteException

  Remove the property associated with the named key in the specified property set.

  NOTE: if an explicit setter method is found for this property, this method will set the value to null. This method now takes a property set name and property name as arguments as opposed to it's previous signature: removeProperty(String scopeName, String key)

  Parameters:
    `propertySet` - The name of the property set.
    `propertyName` - The name of the property to remove.
  Returns:
    the old value of the property, or null if there was none.

### getUniqueId

    public long getUniqueId()
                     throws java.rmi.RemoteException

  Retrieve the unique identifier generated for this ConfigurableEntity. The unique identifier is used by the EntityPropertyManager to optimize the foreign keys in the persistent storage. This method may not be implemented in a lightweight implementation of ConfigurableEntity.

  Returns:
    this entity's unique id

### getPkString

    public java.lang.String getPkString()
                                 throws java.rmi.RemoteException

  Retrieve the pk string for an entity. A combination of pk string and jndi name is always unique between entities.

  Returns:
    the primary key string identifier for this entity

### getJndiName

    public java.lang.String getJndiName()
                                 throws java.rmi.RemoteException

  Deprecated. This method has been deprecated and will now return a null.
  Retrieve the jndi name for an entity. A combination of pk string and jndi name is always unique between entities.

  Returns:
    the jndi name for this entity

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved